import {NgModule, isDevMode} from '@angular/core';
import {BrowserModule} from '@angular/platform-browser';

import {AppComponent} from './app.component';
import {CalendarViewComponent} from './calendar-view/calendar-view.component';
import {CalendarTableEntryComponent} from './calendar-table-entry/calendar-table-entry.component';
import {HttpClientModule} from "@angular/common/http";
import {BrowserAnimationsModule} from "@angular/platform-browser/animations";
import {NgxMatTimepickerModule} from "ngx-mat-timepicker";
import {MatMenuModule} from "@angular/material/menu";
import {MatDialogModule} from "@angular/material/dialog";
import {ConfirmationAlertDialogComponent} from './confirmation-alert-dialog/confirmation-alert-dialog.component';
import {AppRoutingModule} from './app-routing.module';
import {MatToolbarModule} from "@angular/material/toolbar";
import {MatIconModule} from "@angular/material/icon";
import {MatButtonModule} from "@angular/material/button";
import {GlobalMenuComponent} from './global-menu/global-menu.component';
import {WeekdaysViewComponent} from './weekdays-view/weekdays-view.component';
import {WeekdayEntryComponent} from './weekday-entry/weekday-entry.component';
import {RouterModule} from "@angular/router";
import {ErrorAlertDialogComponent} from './error-alert-dialog/error-alert-dialog.component';
import { ServiceWorkerModule } from '@angular/service-worker';

@NgModule({
  declarations: [
    AppComponent,
    CalendarViewComponent,
    CalendarTableEntryComponent,
    ConfirmationAlertDialogComponent,
    GlobalMenuComponent,
    WeekdaysViewComponent,
    WeekdayEntryComponent,
    ErrorAlertDialogComponent
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    BrowserAnimationsModule,
    NgxMatTimepickerModule,
    MatMenuModule,
    MatDialogModule,
    AppRoutingModule,
    MatToolbarModule,
    MatIconModule,
    MatButtonModule,
    RouterModule,
    ServiceWorkerModule.register('ngsw-worker.js', {
      enabled: !isDevMode(),
      // Register the ServiceWorker as soon as the application is stable
      // or after 30 seconds (whichever comes first).
      registrationStrategy: 'registerWhenStable:30000'
    })
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {
}
